Last Comment Bug 544503 - Editor should not observe all mutations on the document if it's initialized with a root node
: Editor should not observe all mutations on the document if it's initialized w...
Status: RESOLVED FIXED
[fixed by bug 545775]
:
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal with 2 votes (vote)
: ---
Assigned To: :Ehsan Akhgari
:
: Makoto Kato [:m_kato]
Mentors:
Depends on:
Blocks: 543494
  Show dependency treegraph
 
Reported: 2010-02-05 09:41 PST by Boris Zbarsky [:bz] (still a bit busy)
Modified: 2012-05-04 05:01 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Boris Zbarsky [:bz] (still a bit busy) 2010-02-05 09:41:39 PST
See bug 543494 comment 10.
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2010-02-05 09:54:18 PST
OK.  This mutation observer was added in bug 335856.  It looks to me like this code is wholly unnecessary for the case when the editor is initialized with a given root.  Peter, is that correct?  If not, what parts of it are needed?  Certainly in the text control case this code never gets triggered in a useful way!
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2010-02-05 11:05:37 PST
Ehsan said he can take this, but Peter's feedback here would still be really nice.
Comment 3 Peter Van der Beken [:peterv] 2010-02-05 12:23:33 PST
Yeah, afaics that should be fine.
Comment 4 Aryeh Gregor (:ayg) (next working March 28-April 26) 2012-04-17 06:43:12 PDT
So bug 545775 part 4 moved the observers from nsEditor to nsHTMLEditor.  Is this bug still relevant?
Comment 5 :Ehsan Akhgari 2012-04-23 08:43:48 PDT
(In reply to Aryeh Gregor from comment #4)
> So bug 545775 part 4 moved the observers from nsEditor to nsHTMLEditor.  Is
> this bug still relevant?

No!  :-)

Note You need to log in before you can comment on or make changes to this bug.